
.assessments-table
  .rt-th
    overflow: visible!important
  &.attendance
    .rt-table
      overflow: visible!important
  &-attendance-data
    display: flex
    align-items: center
    position: absolute
    .switcher
      display: flex
      width: 310px
      height: 37px
      border: 1px solid $button-primary
      border-radius: 8px
      margin-left: 50px
      .current-status, .current-status-left, .current-status-right
        display: flex
        align-items: center
        justify-content: center
        flex: 1 1
        width: 103px
        background: $button-primary
        color: white
        font-family: "Titillium Web"
        font-weight: 600
        font-size: 15px
        letter-spacing: 0.29px
        line-height: 23px
        text-align: center
        cursor: auto
        &-left
          border-radius: 5px 0 0 5px
        &-right
          border-radius: 0 5px 5px 0
      .status-middle, .status-left, .status-right
        display: flex
        align-items: center
        justify-content: center
        z-index: 1
        flex: 1 1
        width: 103px
        color: #448AFF
        font-family: "Titillium Web"
        font-weight: 600
        font-size: 15px
        letter-spacing: 0.29px
        line-height: 23px
        text-align: center
        cursor: pointer
        &:hover
          background: $button-primary
          color: white
        &:nth-child(2)
          border-left: 1px solid $button-primary
          border-right: 1px solid $button-primary
      .status-left
        &:hover
          background: $button-primary
          border-radius: 5px 0 0 5px
          color: white
      .status-right
        &:hover
          background: $button-primary
          border-radius: 0 5px 5px 0
          color: white

  &__header
    max-height: 400px
    display: block
    width: auto
    height: 22px
    max-width: 154px
    overflow: hidden
    text-overflow: ellipsis
    &.cell
      display: flex
      flex-direction: row
      align-items: center
      justify-content: flex-start
      transition: 3s linear
      .date-picker
        input
          border: none
          font-size: 15px
          letter-spacing: 0.29px
          line-height: 23px
          background-color: transparent
          color: $head-link
          padding: 2px 36px 11px 35px
          font-weight: 400
          border-radius: 0
          box-sizing: border-box
          position: relative
          width: 100%
      &.hide
        opacity: 0

    &.edit
      width: 24px

      &:hover
        cursor: pointer

    &.weight
      margin-top: 18px
      position: absolute
      letter-spacing: 0.29px
      font-family: $titillium-font
      font-weight: 100
      font-size: 15px
      overflow: visible
      color: $head-link

      .select-button
        border: none
        color: $page-title
        span
          font-weight: 100

      .select-list
        border-radius: 0
        top: 30px
        &--item
          &:hover
            background-color: $table-hover
    &__weight
      margin-top: 18px
      position: absolute
      width: 100%
      p
        color: $head-link
        font-size: 15px
        letter-spacing: 0.29px
        line-height: 23px
        font-weight: 100
        display: inline-block
        &:hover + span
          display: block
      .tooltip
        display: none
        position: absolute
        left: 39px
        top: 2px
        height: 19px
        width: 57px
        border: 1px solid 
        border-radius: 2px
        background-color: $table-header-color
        box-shadow: 0 2px 4px 0 rgba(0,0,0,0.06)
        color: $head-link
        font-size: 11px
        letter-spacing: 0.21px
        line-height: 16px
        text-align: center

  .user-info
    display: flex
    flex-direction: row
    align-items: center

    div
      padding-left: 3px

    .default-avatar
      width: 30px
      height: 30px
      margin-right: 10px

      display: flex
      flex-direction: column
      justify-content: center
      align-items: center

      border-radius: 20px

      font-family: $titillium-font
      font-size: 14px
      color: #fff

    .name
      width: 100px
      margin-bottom: 6px
      white-space: nowrap
      overflow: hidden
      text-overflow: ellipsis
      letter-spacing: 0.29px
      font-family: $titillium-font
      font-weight: 600
      font-size: 15px
      padding: 3px
      color: $profile-title

      &:hover
        overflow: visible
        background-color: $table-header-color
        width: auto
        padding: 3px
        

    .pointsCount
      letter-spacing: 0.23px
      font-family: $titillium-font
      font-size: 12px
      color: $profile-title
      vertical-align: bottom


    .select-group
      .select-field
        width: 75px

        .select-button
          padding: 0
          border: none
          font-family: $titillium-font
          font-weight: bold
          font-size: 12px
          color: $page-title

      .select-list
        max-height: 240px
        padding: 14px 0px
        top: 0

        overflow-y: scroll

        .select-list--item
          padding: 0 14px

          .groups-wrapper
            display: flex
            flex-direction: column

            .group-item-wrapper
              width: 265px
              padding: 4px

              display: flex
              flex-direction: row
              justify-content: space-between
              align-items: center

              border: 1px solid transparent

              letter-spacing: 0.29px
              font-family: $titillium-font
              font-size: 15px
              color: $head-link

              &:hover
                border: 1px solid $button-primary
                border-radius: 3px

              &__members-count
                width: 22px
                height: 22px

                display: flex
                flex-direction: column
                justify-content: center
                align-items: center

                border-radius: 20px

                color: #fff

        .add-group-wrapper
          margin-top: 20px

          display: flex
          flex-direction: row
          align-items: center

          text-decoration: underline
          font-family: $titillium-font
          font-weight: 500
          font-size: 15px
          color: $dodger-blue

          img
            margin-top: 2px
            margin-right: 10px

  .mark-wrapper
    height: 100%

    display: flex
    flex-direction: column
    justify-content: center

    &.hide
      opacity: 0

      img, span
        opacity: 0

    .mark-weight
      margin-top: 0
      position: relative
      &:hover
        cursor: pointer

      img
        height: 14px
        margin-bottom: -2px

    .status-icon
      margin-right: 14px

    .status-text
      padding: 4px 10px
      margin-top: 4px
      position: absolute
      display: table-caption
      background-color: $table-header-color
      border-radius: 2px

      letter-spacing: 0.21px
      font-family: $titillium-font
      font-size: 11px
      color: $head-link

      &.hidden
        display: none
  .rt-tr

    padding-left: 200px
    &.active
      border: 2px solid $button-primary
      border-radius: 1px
      .rt-td, .rt-th
        &:first-child
          left: 2px
          height: 65px
          width: 178px!important
    .rt-td, .rt-th
      &:first-child
        border-right: 2px solid $border-mark!important
        position: absolute
        left: 0
        height: 69px
        padding-left: 15px!important
        z-index: 10
    .rt-td
      background: white

      &:first-child
        position: absolute
        z-index: 0
    .rt-th
      background: $table-header-color
  .rt-tbody
    box-sizing: content-box
  .rt-tbody, .rt-thead
    padding: 0
    overflow: unset

  .avatar-block
    position: relative

    svg
      position: absolute
      bottom: -4px
      right: 3px



.swal2-popup.confirm-assessments
  .swal2-close
    width: 23px!important
    height: 45px
    font-size: 31px
    color: $font-online-sign
    right: 13px
    top: 6px
    background: none!important
    min-width: 0
  .swal2-title
    margin-top: 23px
  .swal2-content
    margin-bottom: 43px
  .swal2-actions
    button
      cursor: pointer

@for $i from -99 through -1
  $index: 100 + $i
  $child: $i * -1
  .assessments-table
    .rt-tbody
      .rt-tr-group:nth-child(#{$child})
        .rt-td:first-child
          z-index: #{$index}
